using System.Collections.Generic;
using Minesweeper.Core;

namespace Minesweeper.Presentation.ReadModels
{
    public interface IGameReadModel
    {
        GameState State { get; }
        int Width { get; }
        int Height { get; }
        int MinesCount { get; }

        bool TryGetCell(int x, int y, out BoardCellData cell);
        IReadOnlyList<BoardCellData> GetCells();
    }
}
